aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <della5@iinet.com.au>2012-05-04 01:09:08 +0800
committerIan Delaney <della5@iinet.com.au>2012-05-04 01:09:08 +0800
commit70363b8f6b0a5aac3525fec67993cd5a475c4a64 (patch)
treeed0eb7b708a48111df6474f5b8eb6593928ecc9f
parent[dev-python/isodate] Re-added new ebuild (diff)
downloadimprovise-70363b8f6b0a5aac3525fec67993cd5a475c4a64.tar.gz
improvise-70363b8f6b0a5aac3525fec67993cd5a475c4a64.tar.bz2
improvise-70363b8f6b0a5aac3525fec67993cd5a475c4a64.zip
[dev-python/egenix-mx-base] added 3.2.4 ebuild
(Portage version: 2.1.10.56/git/Linux x86_64, unsigned Manifest commit)
-rw-r--r--dev-python/egenix-mx-base/Manifest1
-rw-r--r--dev-python/egenix-mx-base/egenix-mx-base-3.2.3.ebuild2
-rw-r--r--dev-python/egenix-mx-base/egenix-mx-base-3.2.4.ebuild69
-rw-r--r--dev-python/egenix-mx-base/files/egenix-mx-base-3.2.4-distutils.patch37
4 files changed, 108 insertions, 1 deletions
diff --git a/dev-python/egenix-mx-base/Manifest b/dev-python/egenix-mx-base/Manifest
index dff219b..466c7b5 100644
--- a/dev-python/egenix-mx-base/Manifest
+++ b/dev-python/egenix-mx-base/Manifest
@@ -1 +1,2 @@
DIST egenix-mx-base-3.2.3.tar.gz 4574421 SHA256 174eefba8835025416a69697d35671210ac028c504290fe381515f70507a97ad SHA512 32d6b373a30efed78db87aad95d9bfd96cbadbe6bbd6214cbe10565af56797ac98f74a5ea246618b38503dc4516b7e062ab5fed23ce90e82e2d3ecfa7662b60b WHIRLPOOL fae933f5133c96c904dcfbfd0de2ec4957a11073bba708816000c794391b769c8631accf18b8e6e5f810a67596c290a8dfa308a490b9bc79838849744b333cc4
+DIST egenix-mx-base-3.2.4.tar.gz 4574057 SHA256 bfbb9519994c33e470d58b0c7b8167e25ce7a1bbf24f2533ea1e1cc235c570f0 SHA512 53bfb3c6d3605cb1da14b380bc53351fd2fc3aa3458f07a03d61d2551a9b8062ae6523546db655e8898120cac8548236bf903c2fac9a5446b0940fe281b5467e WHIRLPOOL 4ad47ffbd8a2bb97f28e1aa78cce016c611046f0082ba75b4bf9d5af3d11be489bda64587dafae740863bf2768e52413df5aa4a068a44e5b8620be9999b9489e
diff --git a/dev-python/egenix-mx-base/egenix-mx-base-3.2.3.ebuild b/dev-python/egenix-mx-base/egenix-mx-base-3.2.3.ebuild
index d8d848b..b9fe653 100644
--- a/dev-python/egenix-mx-base/egenix-mx-base-3.2.3.ebuild
+++ b/dev-python/egenix-mx-base/egenix-mx-base-3.2.3.ebuild
@@ -37,7 +37,7 @@ src_prepare() {
# Replace/disable stupid flawed therefore failing tests
# testticks.py; print layout is wrong
- # testvlad.py, see {P}-test.patch. The test should pass to prove the point, not fail
+ # testvlad.py, The test should pass to prove the point, not fail
epatch "${FILESDIR}"/${P}-test.patch || die
# testernesto.py;Chnage sys.argv[1] to sys.argv[0]; works
diff --git a/dev-python/egenix-mx-base/egenix-mx-base-3.2.4.ebuild b/dev-python/egenix-mx-base/egenix-mx-base-3.2.4.ebuild
new file mode 100644
index 0000000..60079e6
--- /dev/null
+++ b/dev-python/egenix-mx-base/egenix-mx-base-3.2.4.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-python/egenix-mx-base/egenix-mx-base-3.2.4.ebuild,v 1.3 2012/04/23 11:12:49 xarthisius Exp $
+
+EAPI="3"
+PYTHON_DEPEND="2"
+SUPPORT_PYTHON_ABIS="1"
+RESTRICT_PYTHON_ABIS="3.* *-jython *-pypy-*"
+
+inherit distutils eutils
+
+DESCRIPTION="eGenix utils for Python"
+HOMEPAGE="http://www.egenix.com/products/python/mxBase http://pypi.python.org/pypi/egenix-mx-base"
+SRC_URI="http://downloads.egenix.com/python/${P}.tar.gz"
+
+LICENSE="eGenixPublic-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+PYTHON_MODNAME="mx"
+
+src_prepare() {
+ distutils_src_prepare
+
+ # Don't install documentation in site-packages directories.
+ sed -e "/\/Doc\//d" -i egenix_mx_base.py || die "sed failed"
+
+ # Avoid unnecessary overriding of settings. Distutils in Gentoo is patched in better way.
+ sed -e 's/if compiler.compiler_type == "unix":/if False:/' -i mxSetup.py || die "sed failed"
+
+ epatch "${FILESDIR}"/${P}-distutils.patch
+}
+
+src_compile() {
+ # mxSetup.py uses BASECFLAGS variable.
+ BASECFLAGS="${CFLAGS}" distutils_src_compile
+}
+
+src_test() {
+ testing() {
+ for test in $(find "build-${PYTHON_ABI}/" -name test.py | sort)
+ do
+ PYTHONPATH="build-${PYTHON_ABI}/lib/" \
+ "$(PYTHON)" ${test}
+ done
+ }
+ python_execute_function testing
+}
+
+src_install() {
+ distutils_src_install
+
+ dohtml -a html -r mx
+ insinto /usr/share/doc/${PF}
+ find -iname "*.pdf" | xargs doins
+
+ installation_of_headers() {
+ local header
+ dodir "$(python_get_includedir)/mx" || return 1
+ while read -d $'\0' header; do
+ mv -f "${header}" "${ED}$(python_get_includedir)/mx" || return 1
+ done < <(find "${ED}$(python_get_sitedir)/mx" -type f -name "*.h" -print0)
+ }
+ python_execute_function -q installation_of_headers
+}
diff --git a/dev-python/egenix-mx-base/files/egenix-mx-base-3.2.4-distutils.patch b/dev-python/egenix-mx-base/files/egenix-mx-base-3.2.4-distutils.patch
new file mode 100644
index 0000000..88f0324
--- /dev/null
+++ b/dev-python/egenix-mx-base/files/egenix-mx-base-3.2.4-distutils.patch
@@ -0,0 +1,37 @@
+Upstream move customize_compiler yet again...
+
+http://lists.egenix.com/mailman-archives/egenix-users/2012-April/114841.html
+http://hg.python.org/cpython/rev/6240ff5dfebe
+https://bugs.gentoo.org/show_bug.cgi?id=412739
+
+Patch written by Kacper Kowalik <xarthisius@gentoo.org>
+--- a/mxSetup.py
++++ b/mxSetup.py
+@@ -304,10 +304,15 @@
+ from distutils.command.clean import clean
+ import distutils.archive_util
+
++try:
++ from distutils.sysconfig import customize_compiler
++except ImportError:
++ from distutils.ccompiler import customize_compiler
++
+ if (python_version < '2.7' or
+ (python_version > '3.0' and python_version < '3.2')):
+ from distutils.sysconfig import \
+- get_config_h_filename, parse_config_h, customize_compiler, \
++ get_config_h_filename, parse_config_h, \
+ get_config_vars, get_python_version
+ from distutils.util import get_platform
+
+@@ -321,10 +326,6 @@
+ get_config_h_filename, parse_config_h, get_path, \
+ get_config_vars, get_python_version, get_platform
+
+- # This API was moved from distutils.sysconfig to distutils.ccompiler
+- # in Python 2.7
+- from distutils.ccompiler import customize_compiler
+-
+ def get_python_include_dir():
+
+ """ Return the path to the Python include dir.